CLEAR ALL
RESTORE checkpoint2
GOSUB readData
RESTORE checkpoint1
GOSUB readData
END
readData:
DO
    READ a$
    IF a$="end" THEN EXIT DO
    PRINT a$
LOOP
RETURN
checkpoint1:
DATA "Hello", "World"
DATA 35
DATA "end"
checkpoint2:
DATA "Print this","first"
DATA 1,2,4,8,16,32,64,128,256
DATA "end"
